import React from "react";
import { WidgetComponent } from "../../types/WidgetComponent";
import { Widget } from "../../types/widget";
declare class DashboardDesigner extends React.Component<any, any> {
    moreButtonToggle: any;
    widgetButtonToggle: any;
    addWidgetButtonToggle: any;
    widgetComponents: WidgetComponent[];
    constructor(props: any);
    static layoutGridProps: {
        rowHeight: number;
        className: string;
        cols: {
            lg: number;
            md: number;
            sm: number;
            xs: number;
            xxs: number;
        };
        useCSSTransforms: boolean;
    };
    componentDidUpdate(prevProps: any, prevState: any): void;
    private UpdatePlaceholderDimensions;
    showMsg: boolean;
    onLayoutChange(layout: any, layouts: any): void;
    deletePanel: (i: any) => void;
    editWidget: (widget: any) => void;
    addPanel: (newWidget: Widget) => void;
    EvaluateNewWidgetPosition(): {
        x: number;
        y: number;
    };
    SaveGrid(): void;
    hideDialog: () => void;
    reset(): void;
    setToken(): void;
    changeTitle(i: any): void;
    selectedWidget: any;
    addComponent(componentType: any): void;
    onOkButton: (data: any) => void;
    onCancelButton: () => void;
    saveToStorage: (key: any, value: any) => void;
    getFromStorage: (key: any) => any;
    FindWidget(el: any): any;
    toggleDialog(): void;
    toggleWidget(widget: any): void;
    getRandomInt(min: any, max: any): any;
    widgetToEdit: any;
    renderNewWidgetDialog(): JSX.Element;
    renderPageHeader(): JSX.Element;
    renderGridWidgetsPlaceholder(): JSX.Element;
    renderLayoutGrid(layout: any): JSX.Element;
    renderWidgetComponent(el: any): JSX.Element;
    render(): JSX.Element;
}
export default DashboardDesigner;
